Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.graphics.editor
Class ResizableSelectionManager

    java.lang.Object
      ru.biosoft.graphics.editor.ViewPaneAdapter
          ru.biosoft.graphics.editor.SelectionManager
              ru.biosoft.graphics.editor.MultipleSelectionManager
                  ru.biosoft.graphics.editor.ResizableSelectionManager

All Implemented Interfaces:
  ViewPaneListener

public class ResizableSelectionManager
extends MultipleSelectionManager

Field Summary
`protected ViewEditorHelper` | `helper`

Fields inherited from class ru.biosoft.graphics.editor.SelectionManager
`selectedModels, selectedViews, selector, viewPane`

Constructor Summary
`ResizableSelectionManager(ViewPane viewPane, ViewEditorHelper helper)`

Method Summary
`void` | `paintSelection(java.awt.Graphics2D g2)`

Methods inherited from class ru.biosoft.graphics.editor.MultipleSelectionManager
`mouseClicked, mousePressed`

Methods inherited from class ru.biosoft.graphics.editor.SelectionManager
`clearSelection, contains, getSelectedModels, getSelectedView, getSelectedViewCount, getViewSelector, selectModel, selectModels, selectView, setViewSelector`

Methods inherited from class ru.biosoft.graphics.editor.ViewPaneAdapter
`mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseReleased`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### helper

    protected ViewEditorHelper helper

Constructor Detail

### ResizableSelectionManager

    public ResizableSelectionManager(ViewPane viewPane,
                                     ViewEditorHelper helper)

Method Detail

### paintSelection

    public void paintSelection(java.awt.Graphics2D g2)

  Overrides:
    `paintSelection` in class `SelectionManager`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.